%define subrel 1

%define build_gstreamer 1
%define build_xine 1
%{?_with_gstreamer: %{expand: %%global build_gstreamer 1}}
%{?_without_gstreamer: %{expand: %%global build_gstreamer 0}}
%{?_with_xine: %{expand: %%global build_xine 1}}
%{?_without_xine: %{expand: %%global build_xine 0}}
%define build_mozilla 1

%define xineversion 1.1.2
%define gstver 0.10

%define major 0
%define soname %{major}.0.0
%define libnamexine %mklibname baconvideowidget-xine %major
%define libnamegstreamer %mklibname baconvideowidget-gstreamer %major

%define backend_suffix %{nil}
%if %_lib != lib
%define backend_suffix -64
%endif

Summary: Movie player for GNOME 2
Name: totem
Version: 2.24.3
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/%{name}-%{version}.tar.bz2
Source1: %name-48.png
#gw from Fedora:
# http://cvs.fedoraproject.org/viewcvs/rpms/totem/devel/totem-bin-backend-ondemand.sh
Source2: totem-bin-backend-ondemand.sh
# https://qa.mandriva.com/show_bug.cgi?id=46932
Patch: totem-fix-video-property-setting.patch
License: GPLv2 with exception
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.hadess.net/totem.php3
%if %build_gstreamer
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-plugins-base
%endif
%if %build_xine
BuildRequires: libxine-devel >= %xineversion
%endif
BuildRequires: libxdmcp-devel
BuildRequires: libxtst-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libnvtvsimple-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: liblirc-devel
BuildRequires: libnautilus-devel
BuildRequires: libgalago-devel
BuildRequires: libvala-devel >= 0.1.5
BuildRequires: libbluez-devel
BuildRequires: libepc-devel
BuildRequires: hal-devel
BuildRequires: glib2-devel >= 2.9.6
BuildRequires: iso-codes
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
BuildRequires: shared-mime-info >= 0.22
BuildRequires: libgnome-window-settings-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gtk2-devel >= 2.12.1
BuildRequires: libtotem-plparser-devel >= 2.23.91


%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.
This version is based on the xine backend.


%package common
Summary: Common data files for totem 
Group:	Video
Requires: pygtk2.0
Requires: gnome-python-gconf
Requires: iso-codes
Requires: python-gdata >= 1.2.3
Requires(post)  : scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils

%description common
Common data files used by Totem.

%if %build_xine
%package xine
Summary: %{summary}
Group:	Video
Requires: %libnamexine = %version-%release
Requires: %name-common = %version
Provides:  totem
Obsoletes: totem < 2.23

%description xine
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

This version is based on the xine backend.
%endif

%if %build_gstreamer
%package gstreamer
Summary: %{summary}
Group:	Video
Requires: %libnamegstreamer = %{version}-%{release}
Requires: %name-common = %version
Provides: totem

%description gstreamer
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

This version is based on the gstreamer backend.
%endif


%if %build_mozilla
%package mozilla
Summary: Totem video plugin for Mozilla Firefox
Group: Networking/WWW
BuildRequires: dbus-devel >= 0.35
Requires: totem-common = %version
Obsoletes: totem-mozilla-gstreamer
Provides: totem-mozilla-gstreamer

%description mozilla
This embeds the Totem video player into web browsers based on Mozilla Firefox.
This version is based on the xine backend.
%endif

%package nautilus
Group:Video
Summary: Video and Audio Properties tab for Nautilus
Requires: %name-common = %version

%description nautilus
A Nautilus extension that shows the properties of audio and video
files in the properties dialogue.


%package -n %libnamexine
Summary: Totem video widget shared library, xine backend
Group: System/Libraries
Requires: xine-plugins >= %xineversion

%description -n %libnamexine
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

This is the Widget library based on xine shared among the totem
components.

%if %build_gstreamer
%package -n %libnamegstreamer
Summary: Totem video widget shared library, gstreamer backend
Group: System/Libraries
Requires: gstreamer0.10-plugins-base >= %gstver
Requires: gstreamer0.10-plugins-good

%description -n %libnamegstreamer
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

This is the Widget library based on gstreamer shared among the totem
components.
%endif

%prep
%setup -q
%patch -p1

%build
#gw else libthumbnail.la does not build
%define _disable_ld_no_undefined 1
%if %build_xine
# Build xine version
[ -d xine-build ] || mkdir xine-build
cd xine-build

CONFIGURE_TOP=.. %configure2_5x --disable-run-in-source-tree \
%if %build_mozilla
--enable-browser-plugins \
%else
--disable-browser-plugins \
%endif
--enable-xine
%make
cd ..
%endif

%if %build_gstreamer
# Build gstreamer version
[ -d gstreamer-build ] || mkdir gstreamer-build
cd gstreamer-build

CONFIGURE_TOP=.. %configure2_5x --disable-run-in-source-tree \
%if %build_mozilla
--enable-browser-plugins \
%else
--disable-browser-plugins \
%endif


%make
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%if %build_xine
pushd xine-build
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
mv %buildroot%_libdir/libbaconvideowidget.so.%{soname} %buildroot%_libdir/libbaconvideowidget-xine.so.%{soname}
popd

cat > %buildroot%_bindir/totem-xine << EOF
#!/bin/sh
%_bindir/totem-backend -b xine totem "\$@"
EOF
%endif

%if %build_gstreamer
pushd gstreamer-build/
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
mv %buildroot%_libdir/libbaconvideowidget.so.%{soname} %buildroot%_libdir/libbaconvideowidget-gstreamer.so.%{soname}
popd

cat > %buildroot%_bindir/totem-gstreamer << EOF
#!/bin/sh
%_bindir/totem-backend -b gstreamer totem "\$@"
EOF
%endif

install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-backend

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#menu
MIME_TYPES=`tr '\n' , < data/mime-type-list.txt | sed -e 's/,$//'`
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
mkdir -p %buildroot%_iconsdir/hicolor/48x48/apps
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%name.png
install -D -m 644 data/icons/16x16/totem.png $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -D -m 644 data/icons/32x32/totem.png $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 %{SOURCE1} %buildroot/%_liconsdir/%name.png


# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/{totem/plugins/*/,mozilla/plugins,nautilus/extensions-2.0}/*.{la,a} %buildroot/var/lib/scrollkeeper


#gw there is no devel package yet
rm -f %buildroot%_libdir/libbaconvideowidget.{a,la,so}



%clean
rm -rf $RPM_BUILD_ROOT

%post common
%define schemas totem totem-video-thumbnail totem-handlers
%if %mdkversion < 200900
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor
%update_desktop_database
%update_menus
%update_scrollkeeper
%endif
update-alternatives --remove totem %_bindir/totem-xine
update-alternatives --remove totem %_bindir/totem-gstreamer
update-alternatives --remove totem-mozilla %_libexecdir/totem-plugin-viewer-xine
update-alternatives --remove totem-mozilla %_libexecdir/totem-plugin-viewer-gstreamer

%preun common
%preun_uninstall_gconf_schemas %schemas

%postun common
%if %mdkversion < 200900
%clean_scrollkeeper
%clean_icon_cache hicolor
%clean_desktop_database
%clean_menus
%endif

%if %build_xine
%post -n %libnamexine
/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.%{soname} totem-backend%{backend_suffix} %{_libdir}/libbaconvideowidget-xine.so.%{soname} 20
/sbin/ldconfig
%postun -n %libnamexine
[ -e "%{_libdir}/libbaconvideowidget-xine.so.%{soname}" ] || update-alternatives --remove totem-backend%{backend_suffix} %{_libdir}/libbaconvideowidget-xine.so.%{soname}
%endif

%if %build_gstreamer
%post -n %libnamegstreamer
/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.%{soname} totem-backend%{backend_suffix} %{_libdir}/libbaconvideowidget-gstreamer.so.%{soname} 10
/sbin/ldconfig
%postun -n %libnamegstreamer
[ -e "%{_libdir}/libbaconvideowidget-gstreamer.so.%{soname}" ] || update-alternatives --remove totem-backend%{backend_suffix} %{_libdir}/libbaconvideowidget-gstreamer.so.%{soname}
%endif

%files common -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS TODO NEWS
%_sysconfdir/gconf/schemas/totem.schemas
%_sysconfdir/gconf/schemas/totem-handlers.schemas
%_sysconfdir/gconf/schemas/totem-video-thumbnail.schemas
%dir %_datadir/omf/totem/
%_datadir/icons/hicolor/*/apps/*
%_datadir/omf/totem/totem-C.omf
%_datadir/totem
%_datadir/applications/totem.desktop
%dir %_libdir/totem
%_libdir/totem/plugins
%_libdir/totem/totem-bugreport.py
%_mandir/man1/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png
%defattr(-,root,root)
%_bindir/totem
%_bindir/totem-audio-preview
%_bindir/totem-backend
%_bindir/totem-video-indexer
%_bindir/totem-video-thumbnailer


%if %build_xine
%files xine
%attr(755,root,root) %_bindir/totem-xine
%endif


%files nautilus
%defattr(-,root,root)
%_libdir/nautilus/extensions-2.0/*

%if %build_gstreamer
%files gstreamer
%defattr(-,root,root)
%attr(755,root,root) %_bindir/totem-gstreamer
%endif

%if %build_mozilla
%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/libtotem*.so
%_libexecdir/totem-plugin-viewer
%endif

%if %build_xine
%files -n %libnamexine
%defattr(-,root,root)
%_libdir/libbaconvideowidget-xine.so.%{soname}
%ghost %_libdir/libbaconvideowidget.so.%{major}
%endif

%if %build_gstreamer
%files -n %libnamegstreamer
%defattr(-,root,root)
%_libdir/libbaconvideowidget-gstreamer.so.%{soname}
%ghost %_libdir/libbaconvideowidget.so.%{major}
%endif


%changelog
* Thu Feb 12 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.24.3-3.1mdv2009.0
- build for updates

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-3mdv2009.0
+ Revision: 328934
- fix XV setting (bug #46932)
- add missing dep on gnome-python-gconf
- new version, should fix bug #46636
- bump python-gdata dep

* Wed Oct 01 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.0
+ Revision: 290398
- new version

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286364
- new version

  + Michael Scherer <misc@mandriva.org>
    - fix summary and description

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277477
- new version
- drop patches
- update file list
- bump totem-plparser dep

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-4mdv2009.0
+ Revision: 258366
- remove firefox dep

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.org> 2.23.4-3mdv2009.0
+ Revision: 236377
- rebuilt for mozilla-firefox-2.0.0.16

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 232925
- use a different alternative name on 64 bit for biarch compatibility

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231676
- new version
- rearrange packaging of the xine and gstreamer backends
- add backend switching script from Fedora
- patches to make it build
- update license
- add dep on ffmpeg plugin to make totem-gstreamer usable by default

  + Tiago Salem <salem@mandriva.com.br>
    - Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 197422
- new version

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-2mdv2009.0
+ Revision: 195864
- rebuild for new firefox

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192494
- new version

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 191658
- Remove suggests on gstreamer subpackages, it is now handled by codeina

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 190443
- rebuild for firefox 2.0.0.13

  + Anssi Hannula <anssi@mandriva.org>
    - update alternatives handling in %%postun to match policy

* Wed Mar 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 187219
- Fix alternative uninstall for mozilla subpackages
- Add missing menu macros

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183452
- new version

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 2.21.96-1mdv2008.1
+ Revision: 178114
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.95-1mdv2008.1
+ Revision: 175503
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.94-1mdv2008.1
+ Revision: 174578
- new version
- fix build of the xine backend
- add missing file

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.93-1mdv2008.1
+ Revision: 165843
- remove update menu call
- new version
- drop patch

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 2.21.92-2mdv2008.1
+ Revision: 164648
- rebuild for new FF

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 162388
- new version
- drop patch
- patch to fix the build of the xine backend

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-4mdv2008.1
+ Revision: 160043
- fix vala plugin build
- depend on python-gdata (bug #37325)

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-3mdv2008.1
+ Revision: 152169
- rebuild for new libepc

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 151934
- fix installation with new nautilus

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove unneeded update/clean menus call

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 146367
- new version
- bump deps
- remove vala workaround

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-2mdv2008.1
+ Revision: 117688
- rebuild for new firefox

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 116020
- new version
- depend on libepc
- fix vala build

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 115276
- new version
- drop plparser lib

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108088
- new version

* Wed Nov 07 2007 Funda Wang <fundawang@mandriva.org> 2.21.1-3mdv2008.1
+ Revision: 106701
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 106068
- rebuild for new firefox

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 104344
- new version
- new major

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 102581
- new version
- new major
- update file list and alternatives for new binary and mozilla plugin

  + Funda Wang <fundawang@mandriva.org>
    - New version 2.20.1

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-6mdv2008.1
+ Revision: 100433
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fundawang@mandriva.org> 2.20.0-5mdv2008.1
+ Revision: 99853
- Rebuild against FF 2.0.0.7

* Wed Oct 03 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2.20.0-4mdv2008.0
+ Revision: 94929
- Fix menu

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 93086
- Patch0 (SVN): various bug fixes from SVN

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 91376
- suggest some gstreamer codec packages in totem-gstreamer

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88889
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 65202
- new version
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57590
- new devel name
- rebuild

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56525
- new version
- drop patches
- update deps

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.4-7mdv2008.0
+ Revision: 56402
- Patch1 (CVS): add support for more Ogg mime types
- Patch2 (CVS): prevent visual effects to start in browser plugin

* Fri Jun 22 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-6mdv2008.0
+ Revision: 42882
- fix deps of totem-common (bug #31519)

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-5mdv2008.0
+ Revision: 39894
- rebuild for new ff

* Sun Jun 10 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.4-4mdv2008.0
+ Revision: 37741
- Run automake after patching Makefile.am
- Add ubuntu patch for GNOME bug #444564 (MDV bug #31292)

  + Götz Waschk <waschk@mandriva.org>
    - drop patch since we have the latest xine-lib

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.4-2mdv2008.0
+ Revision: 36210
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - new major
    - fix buildrequires
    - add new plugins

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-1mdv2008.0
+ Revision: 30301
- Release 2.18.2
- Remove patch0 (merged upstream)
- Patch0: lower xine-lib dependency, our xine-lib package is already patched with correct fix

* Wed May 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-2mdv2008.0
+ Revision: 25660
- Patch0 (SVN): fix xine based browser plugin (Mdk bug #29513)


* Thu Apr 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 150718
- new version
- fix buildrequires

* Mon Mar 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-6mdv2007.1
+ Revision: 148755
- Fix BuildRequires to get multimedia key support built

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-5mdv2007.1
+ Revision: 148596
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-4mdv2007.1
+ Revision: 148367
- rebuild for new firefox

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 147865
- Fix previous commit to only do needed job

  + Adam Williamson <awilliamson@mandriva.com>
    - update icons (stop using old sourced ones, install all fd.o icons)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 146541
- Fix upgrade from 2007.0, forcing update-alternative --auto for totem-mozilla

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140337
- new version
- drop patches

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-5mdv2007.1
+ Revision: 133882
-Add ChangeLog to devel package
-Patch1 : fix ogg audio file playback in xine version (Mdv bug #29205)

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 130793
- do not package huge (0.6Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-3mdv2007.1
+ Revision: 126291
- rebuild for new firefox

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125913
- fix libtotem-plparser exports for gnome-python-desktop

* Tue Feb 20 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 123133
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 117810
- new version
- drop merged patches

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-4mdv2007.1
+ Revision: 117370
- fix the patch by using the upstream svn version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-3mdv2007.1
+ Revision: 117293
- fix wrong colours in the video thumbnailer with the xine backend
- fix exports of the plparser library (upstream bug #404304)

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 115077
- new version
- fix build with new gnome-doc-utils
- reenable parallel make

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109601
- new version
- fix buildrequires
- fix build
- drop patch

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-6mdv2007.1
+ Revision: 106107
- rebuild

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-5mdv2007.1
+ Revision: 92165
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 87597
- fix buildrequires
- fix buildrequires
- fix buildrequires
- new version
- fix build (upstream bug #378096)
- add totem-video-indexer
- drop patch 0

* Wed Nov 15 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 84421
- bot rebuild
- new version
- new version
- fix group (bug #27100)

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.0
+ Revision: 80517
- unpacked patch
- unpack patch
- Import totem

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
- New version 2.16.2

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch0: don't try to stat glade file, workaround Mdv bug #26244

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Rebuild for latest firefox

* Sat Sep 09 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- add new plugin
- New version 2.16.1

* Mon Sep 04 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch
- New release 2.16.0

* Wed Aug 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.92-2mdv2007.0
- Patch0: allow keyboard dvd navigation

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 1.5.92-1mdv2007.0
- drop patch
- New release 1.5.92

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.91-3mdv2007.0
- Patch0 (CVS): fix i18n missing (GNOME bug #351357)

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-2mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-1mdv2007.0
- fix new mozilla plugin
- New release 1.5.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 1.5.90-1mdv2007.0
- new macros
- xdg menu
- New release 1.5.90

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.5.4-1mdv2007.0
- bump xine deps
- New release 1.5.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 1.5.2-1mdv2007.0
- add icons
- New release 1.5.2

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2007.0
- Release 1.5.1
- Remove patch0, merged upstream

* Fri May 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-2mdk
- drop XFree86 requires

* Mon May 15 2006 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 1.4.0-4mdk
- add missing translations

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdk
- Rebuild with latest firefox

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-2mdk
- Update patch0 with CVS fix

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- rebuild for new dbus

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch 1
- New release 1.2.1

* Thu Dec 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-7mdk
- Fix mimetypes, uses upstream list

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-6mdk
- rebuild for new openssl on x86_64

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-5mdk
- rebuild for new openssl

* Tue Oct 25 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- upstream fix for bug 19187

* Fri Oct 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix buildrequires
- build fix without mozilla plugin

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdk
- Release 1.2.0 (merged from Gotz package)
- Patch0 (gotz): fix nautilus extension soname

* Sat Aug 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2mdk
- Add conflict to allow to install from mdk 10.2

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sun May 01 2005 Gtz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- drop merged patch
- New release 1.0.2

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-4mdk 
- Change nautilus extension filename to prevent warning

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- fix typo on the update-alternatives call

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdk 
- Create subpackage totem-gstreamer for gstreamer backend

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1
- Remove patches 0, 1, 2 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk 
- Patch2: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk 
- Patch0 (CVS): fix crash with some ASF file
- Patch1 (CVS): fix DND from konqueror

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk 
- Release 1.0
- Regenerate patch0

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.101-3mdk
- fix buildrequires

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dydndns.org> 0.101-2mdk
- add BuildRequires: libnautilus-devel

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.101-1mdk
- New release 0.101
- Patch0 : use old (ie 2.8.x) nautilus-burn API

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-2mdk 
- Rebuild with latest howl

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.100-1mdk
- New release 0.100

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.22-2mdk
- add BuildRequires: libgnomeui2-devel libgnome-desktop-2-devel

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.22-1mdk
- New release 0.99.22

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.21-2mdk 
- Remove patch1 (merged upstream)

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.21-1mdk
- drop patch 2
- New release 0.99.21

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.20-3mdk
- Fix mimetype

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-2mdk
- disable colorkey (fixes bug #11273)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-1mdk
- New release 0.99.20
- add omf files to lang
- don't depend on gnome-desktop
- needs libnautilus-burn
- drop patches 0,2,3,4

* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-5mdk
- Update patch2 to fix parsing of Real/asf files

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-4mdk
- Patch2 (CVS): various bug fixes
- Patch3: fix error message when playing crypted DVD
- Patch4: fix remote action when using dvd: or cd:

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.15.1-3mdk
- Descease InitialPreference to launch kaffeine under KDE environement

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-2mdk
- Patch0: fix KDE detection (Mdk bug #10991)
- Patch1: add thumbnail for Matroska

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.15.1-1mdk
- New release 0.99.15.1

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.14-1mdk
- drop yelp stuff
- New release 0.99.14

* Mon Jul 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.13-1mdk
- new version

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.12-1mdk
- add source URL
- New release 0.99.12

* Sat Jun 05 2004 <lmontel@komp1.mandrakesoft.com> 0.99.11-2mdk
- REbuild

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.11-1mdk
- requires new xine
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- drop the patch

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add man page
- requires new xine
- build with nvtv
- don't require curl anymore
- drop patch 1
- new version

